/*************************************************************************
 * Yusuf Aytas   All Rights Reserved.
 * 
 * NOTICE:  All information contained herein is, and remains the property 
 * of Yusuf Aytas and its suppliers,if any.  The intellectual and 
 * technical concepts contained herein are proprietary to Yusuf Aytas
 * and its suppliers and may be covered by U.S. and Foreign Patents,patents
 * in process, and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material is 
 * strictly forbidden unless prior written permission is obtained
 * from Yusuf Aytas.
 * Author : Yusuf Aytas
 * Date : Jul 30, 2012
 * File : IpUpdateMessage.java
 */
package com.sowhoo.common.message;

public class IpUpdateMessage extends Message<MessageHeader,MessageContent<String> >{

	private static final long serialVersionUID = 7658998760041454172L;
	
	private String email;
	private String password;
	
	public IpUpdateMessage(){
		this.header.setMessageType(MessageType.IP_UPDATE);
	}
	
	public String getEmail() {
		return email;
	}
	public void setEmail(String email) {
		this.email = email;
	}
	public String getPassword() {
		return password;
	}
	public void setPassword(String password) {
		this.password = password;
	}
	
}
